## jackaudiosrc jackaudiosrc — Input from Jack |

## Synopsis

                        GstJackAudioSrc;

## Properties

      "connect"                  GstJackConnect        : Read / Write
      "server"                   gchar*                : Read / Write

## Description

A Src that inputs data from Jack ports.

It will create N Jack ports named in_<name>_<num> where <name> is the element name and <num> is starting from 1. Each port corresponds to a gstreamer channel.

The samplerate as exposed on the caps is always the same as the samplerate of the jack server.

When the "connect" property is set to auto, this element will try to connect each input port to a random physical jack output pin.

When the "connect" property is set to none, the element will accept any number of output channels and will create (but not connect) an input port for each channel.

The element will generate an error when the Jack server is shut down when it was PAUSED or PLAYING. This element does not support dynamic rate and buffer size changes at runtime.

### Example launch line

    1
    gst-launch jackaudiosrc connect=0 ! jackaudiosink connect=0

Get audio input into gstreamer from jack.

Last reviewed on 2008-07-22 (0.10.4)

## Details

### GstJackAudioSrc

    typedef struct {
        GstBaseAudioSrc src;
    } GstJackAudioSrc;

## Property Details

### The `"connect"` property

      "connect"                  GstJackConnect        : Read / Write

Specify how the input ports will be connected.

Default value: Automatically connect ports to physical ports

### The `"server"` property

      "server"                   gchar*                : Read / Write

The Jack server to connect to (NULL = default).

Default value: NULL

## See Also

GstBaseAudioSrc, GstRingBuffer